<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.XIB" version="3.0" toolsVersion="11762" systemVersion="16C67" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" colorMatched="YES">
    <device id="retina4_7" orientation="portrait">
        <adaptation id="fullscreen"/>
    </device>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="11757"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <objects>
        <placeholder placeholderIdentifier="IBFilesOwner" id="-1" userLabel="File's Owner"/>
        <placeholder placeholderIdentifier="IBFirstResponder" id="-2" customClass="UIResponder"/>
        <view contentMode="scaleToFill" id="iN0-l3-epB" customClass="UpdateAlertView">
            <rect key="frame" x="0.0" y="0.0" width="277" height="187"/>
            <autoresizingMask key="autoresizingMask" flexibleMinX="YES" flexibleMaxX="YES" flexibleMinY="YES" flexibleMaxY="YES"/>
            <subviews>
                <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="版本更新" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="6Jr-SM-tzH">
                    <rect key="frame" x="16" y="16" width="82" height="24"/>
                    <fontDescription key="fontDescription" type="system" weight="semibold" pointSize="20"/>
                    <nil key="textColor"/>
                    <nil key="highlightedColor"/>
                </label>
                <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="v26-Cb-KWY">
                    <rect key="frame" x="16" y="44" width="42" height="6"/>
                    <color key="backgroundColor" red="0.41176470588235292" green="0.70980392156862748" blue="0.94117647058823528" alpha="1" colorSpace="calibratedRGB"/>
                    <constraints>
                        <constraint firstAttribute="height" constant="6" id="1mW-Zm-9FG"/>
                        <constraint firstAttribute="width" constant="42" id="Wa7-V7-fdo"/>
                    </constraints>
                </view>
                <textView clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="scaleToFill" editable="NO" translatesAutoresizingMaskIntoConstraints="NO" id="yAI-qd-Nka">
                    <rect key="frame" x="16" y="50" width="245" height="97"/>
                    <color key="backgroundColor" white="1" alpha="1" colorSpace="calibratedWhite"/>
                    <string key="text">更新内容:
1.性能优化
2.修复若干bug</string>
                    <fontDescription key="fontDescription" name=".AppleSystemUIFont" family=".AppleSystemUIFont" pointSize="17"/>
                    <textInputTraits key="textInputTraits" autocapitalizationType="sentences"/>
                </textView>
                <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="URr-qs-mnA">
                    <rect key="frame" x="0.0" y="147" width="277" height="40"/>
                    <subviews>
                        <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="left" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="eAJ-rL-uEs">
                            <rect key="frame" x="16" y="0.0" width="33" height="40"/>
                            <fontDescription key="fontDescription" type="system" weight="medium" pointSize="16"/>
                            <state key="normal" title="取消">
                                <color key="titleColor" red="0.50196081400000003" green="0.50196081400000003" blue="0.50196081400000003" alpha="1" colorSpace="calibratedRGB"/>
                            </state>
                            <connections>
                                <action selector="actionCancel:" destination="iN0-l3-epB" eventType="touchUpInside" id="1Fh-RS-tGw"/>
                            </connections>
                        </button>
                        <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="vTX-6X-dKB">
                            <rect key="frame" x="195" y="0.0" width="66" height="40"/>
                            <constraints>
                                <constraint firstAttribute="width" constant="66" id="DWw-wo-cNq"/>
                            </constraints>
                            <fontDescription key="fontDescription" type="system" weight="medium" pointSize="16"/>
                            <state key="normal" title="立即更新">
                                <color key="titleColor" red="0.41176470590000003" green="0.70980392160000005" blue="0.94117647059999998" alpha="1" colorSpace="calibratedRGB"/>
                            </state>
                            <connections>
                                <action selector="actionUpdate:" destination="iN0-l3-epB" eventType="touchUpInside" id="Nen-n3-fRU"/>
                            </connections>
                        </button>
                        <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="xVp-5p-Wch">
                            <rect key="frame" x="0.0" y="0.0" width="277" height="1"/>
                            <color key="backgroundColor" cocoaTouchSystemColor="groupTableViewBackgroundColor"/>
                            <constraints>
                                <constraint firstAttribute="height" constant="1" id="ViP-qw-55Z"/>
                            </constraints>
                        </view>
                    </subviews>
                    <color key="backgroundColor" white="1" alpha="1" colorSpace="calibratedWhite"/>
                    <constraints>
                        <constraint firstItem="eAJ-rL-uEs" firstAttribute="top" secondItem="URr-qs-mnA" secondAttribute="top" id="7b6-H8-5bA"/>
                        <constraint firstAttribute="trailing" secondItem="vTX-6X-dKB" secondAttribute="trailing" constant="16" id="K8S-7r-fh0"/>
                        <constraint firstItem="xVp-5p-Wch" firstAttribute="leading" secondItem="URr-qs-mnA" secondAttribute="leading" id="LQR-uy-YXa"/>
                        <constraint firstAttribute="height" constant="40" id="NXL-BV-AIn"/>
                        <constraint firstAttribute="bottom" secondItem="vTX-6X-dKB" secondAttribute="bottom" id="QX4-ci-DZG"/>
                        <constraint firstAttribute="bottom" secondItem="eAJ-rL-uEs" secondAttribute="bottom" id="Xif-gD-JCb"/>
                        <constraint firstItem="vTX-6X-dKB" firstAttribute="top" secondItem="URr-qs-mnA" secondAttribute="top" id="aVd-1U-9Oy"/>
                        <constraint firstItem="eAJ-rL-uEs" firstAttribute="leading" secondItem="URr-qs-mnA" secondAttribute="leading" constant="16" id="jLg-31-VhC"/>
                        <constraint firstItem="xVp-5p-Wch" firstAttribute="top" secondItem="URr-qs-mnA" secondAttribute="top" id="jjP-Zq-axP"/>
                        <constraint firstAttribute="trailing" secondItem="xVp-5p-Wch" secondAttribute="trailing" id="mPy-Hv-Kh5"/>
                    </constraints>
                </view>
                <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="VDe-QB-1wR">
                    <rect key="frame" x="16" y="66" width="0.0" height="0.0"/>
                    <fontDescription key="fontDescription" type="system" pointSize="17"/>
                    <nil key="textColor"/>
                    <nil key="highlightedColor"/>
                </label>
                <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="(v1.6.28)" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="Ynq-5e-Gxx">
                    <rect key="frame" x="100" y="18.5" width="70" height="22"/>
                    <fontDescription key="fontDescription" type="system" pointSize="18"/>
                    <color key="textColor" red="1" green="0.0" blue="0.0" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                    <nil key="highlightedColor"/>
                </label>
            </subviews>
            <color key="backgroundColor" red="1" green="1" blue="1" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
            <constraints>
                <constraint firstItem="yAI-qd-Nka" firstAttribute="top" secondItem="v26-Cb-KWY" secondAttribute="bottom" id="2SZ-mw-dln"/>
                <constraint firstItem="URr-qs-mnA" firstAttribute="leading" secondItem="iN0-l3-epB" secondAttribute="leading" id="8oC-HV-TSo"/>
                <constraint firstItem="v26-Cb-KWY" firstAttribute="leading" secondItem="6Jr-SM-tzH" secondAttribute="leading" id="FXv-LY-kfN"/>
                <constraint firstAttribute="trailing" secondItem="URr-qs-mnA" secondAttribute="trailing" id="FYd-Ju-VRt"/>
                <constraint firstItem="yAI-qd-Nka" firstAttribute="leading" secondItem="iN0-l3-epB" secondAttribute="leading" constant="16" id="Fo3-sd-DPI"/>
                <constraint firstItem="6Jr-SM-tzH" firstAttribute="leading" secondItem="iN0-l3-epB" secondAttribute="leading" constant="16" id="KVo-pz-pVL"/>
                <constraint firstItem="6Jr-SM-tzH" firstAttribute="top" secondItem="iN0-l3-epB" secondAttribute="top" constant="16" id="Pzk-ME-iFI"/>
                <constraint firstItem="Ynq-5e-Gxx" firstAttribute="bottom" secondItem="6Jr-SM-tzH" secondAttribute="bottom" id="SK3-Hs-YOG"/>
                <constraint firstItem="v26-Cb-KWY" firstAttribute="top" secondItem="6Jr-SM-tzH" secondAttribute="bottom" constant="4" id="X4h-8B-Ss0"/>
                <constraint firstItem="VDe-QB-1wR" firstAttribute="top" secondItem="v26-Cb-KWY" secondAttribute="bottom" constant="16" id="av7-vg-9oL"/>
                <constraint firstAttribute="bottom" secondItem="URr-qs-mnA" secondAttribute="bottom" id="fqz-9N-O49"/>
                <constraint firstItem="Ynq-5e-Gxx" firstAttribute="leading" secondItem="6Jr-SM-tzH" secondAttribute="trailing" constant="2" id="n0M-yB-lpg"/>
                <constraint firstItem="URr-qs-mnA" firstAttribute="top" secondItem="yAI-qd-Nka" secondAttribute="bottom" id="oOd-7e-8hX"/>
                <constraint firstItem="VDe-QB-1wR" firstAttribute="leading" secondItem="6Jr-SM-tzH" secondAttribute="leading" id="pAl-K6-Fgj"/>
                <constraint firstAttribute="trailing" secondItem="yAI-qd-Nka" secondAttribute="trailing" constant="16" id="vtd-mw-tMt"/>
            </constraints>
            <freeformSimulatedSizeMetrics key="simulatedDestinationMetrics"/>
            <connections>
                <outlet property="btnCancel" destination="eAJ-rL-uEs" id="XSv-oX-xc0"/>
                <outlet property="btnUpdate" destination="vTX-6X-dKB" id="gZP-IU-ATD"/>
                <outlet property="constraintCancelWidth" destination="DWw-wo-cNq" id="qIn-yt-c6c"/>
                <outlet property="labelNewVersion" destination="Ynq-5e-Gxx" id="tww-7t-j1v"/>
                <outlet property="textViewContent" destination="yAI-qd-Nka" id="qZ7-C0-e5T"/>
            </connections>
            <point key="canvasLocation" x="-153.5" y="-219.5"/>
        </view>
    </objects>
</document>
